kudu-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From t...@apache.org
Subject incubator-kudu git commit: KUDU-733: Fix javadoc warnings and fail build on warnings
Date Mon, 23 May 2016 18:15:15 GMT
Repository: incubator-kudu
Updated Branches:
  refs/heads/master 86ddcd18a -> d55bc48eb


KUDU-733: Fix javadoc warnings and fail build on warnings

Fixed the single javadoc warning from org.kududb.client.Status.
The make_site.sh fails if it detects javadoc warnings in the maven
javadoc output.

Change-Id: Iaf466d99d57ac2ba11f2af457f09bb5c7853f699
Reviewed-on: http://gerrit.cloudera.org:8080/3043
Tested-by: Kudu Jenkins
Reviewed-by: Adar Dembo <adar@cloudera.com>


Project: http://git-wip-us.apache.org/repos/asf/incubator-kudu/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-kudu/commit/d55bc48e
Tree: http://git-wip-us.apache.org/repos/asf/incubator-kudu/tree/d55bc48e
Diff: http://git-wip-us.apache.org/repos/asf/incubator-kudu/diff/d55bc48e

Branch: refs/heads/master
Commit: d55bc48ebc760495b645c597c33266ffc2d8e346
Parents: 86ddcd1
Author: Will Berkeley <wdberkeley@gmail.com>
Authored: Wed May 11 23:55:26 2016 -0400
Committer: Todd Lipcon <todd@apache.org>
Committed: Mon May 23 18:14:59 2016 +0000

----------------------------------------------------------------------
 docs/support/scripts/make_site.sh                            | 5 ++++-
 java/kudu-client/src/main/java/org/kududb/client/Status.java | 4 ++--
 2 files changed, 6 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-kudu/blob/d55bc48e/docs/support/scripts/make_site.sh
----------------------------------------------------------------------
diff --git a/docs/support/scripts/make_site.sh b/docs/support/scripts/make_site.sh
index 486ce11..317973a 100755
--- a/docs/support/scripts/make_site.sh
+++ b/docs/support/scripts/make_site.sh
@@ -62,7 +62,10 @@ fi
 
 cd "$SOURCE_ROOT/java"
 mvn clean install -DskipTests
-mvn clean javadoc:aggregate
+if mvn clean javadoc:aggregate | tee /dev/stdout | fgrep -q "Javadoc Warnings"; then
+  echo "There are Javadoc warnings. Please fix them."
+  exit 1
+fi
 
 if [ -f "$SOURCE_ROOT/java/target/site/apidocs/index.html" ]; then
   echo "Successfully built Javadocs."

http://git-wip-us.apache.org/repos/asf/incubator-kudu/blob/d55bc48e/java/kudu-client/src/main/java/org/kududb/client/Status.java
----------------------------------------------------------------------
diff --git a/java/kudu-client/src/main/java/org/kududb/client/Status.java b/java/kudu-client/src/main/java/org/kududb/client/Status.java
index b89f73d..d2ce300 100644
--- a/java/kudu-client/src/main/java/org/kududb/client/Status.java
+++ b/java/kudu-client/src/main/java/org/kududb/client/Status.java
@@ -21,7 +21,7 @@ import org.kududb.annotations.InterfaceAudience;
 import org.kududb.annotations.InterfaceStability;
 
 /**
- * Representation of an error code and message. Wraps {@link WireProtocol.AppStatusPB}.
+ * Representation of an error code and message. Wraps {@link org.kududb.WireProtocol.AppStatusPB}.
  * See also {@code src/kudu/util/status.h} in the C++ codebase.
  *
  * <p>Do not use the {@code @deprecated} methods in this class.</p>
@@ -55,7 +55,7 @@ public class Status {
   // Factory methods.
 
   /**
-   * Create a Status object from a {@link WireProtocol.AppStatusPB} protobuf object.
+   * Create a Status object from a {@link org.kududb.WireProtocol.AppStatusPB} protobuf object.
    * Package-private because we shade Protobuf and this is not usable outside this package.
    */
   static Status fromPB(WireProtocol.AppStatusPB pb) {


Mime
View raw message